//DEVICE PIC16F877A
//hacesoft
//www.prochazka.zde.cz
//6.11.2005
//Ovladani LCD DISPLAYe ve vyvojove desce PIC + XILINX
//Ktera se nachazi na www.prochazka.zde.cz

//Fyzicke zapojeni LCD k PICu 16F877A
//RE0 ...RS  -> vyber reg.
//RE1 ...RW  -> read/write
//RB3 ...EN1 -> ENABLE LCD
//RB1 ...DB4
//RB2 ...DB5
//RB4 ...DB6
//RB5 ...DB7

#define false 0
#define true 1
#define SCROLL_LEFT   0
#define SCROLL_RIGHT  1

//zmaze cely display
#define lcd_cls lcd_put_cmd(0x1) 

//nastavi kurzor na prvni znak a prvni radek
#define lcd_cursor_home lcd_put_cmd(0x2)

;//udela jednu mezeru mezi textu
#define lcd_space lcd_put_char(0x20)

void send_prikaz (unsigned char bCommand);//posle prikaz
void zapis_w(void);//vysle data na branu B
void lcd_busy (void);//ceka na odpoved. Potom posle dalsi prikaz
void lcd_put_cmd (unsigned char bCommand);//
void lcd_put_char (unsigned char sString);
void lcd_init (void);//inicializaci lcd
void lcd_init1(void);
void lcd_string(const char * s);//vytiskne text, po znak 0. Text je ulozen v EEPROM pameti. 
void lcd_goto(unsigned char pozice, unsigned char radek);
void ScrollMessage(unsigned char pozice, unsigned char radek,const char Message[]);
void lcd_scroll(char Direction);


#define __EEPROM_CHAR(a) asm("\tpsect eeprom_data,class=EEDATA,delta=2"); asm("\tdb\t" ___mkstr(a))
#define __EEPROM_INT(i) __EEPROM_CHAR((i) & 0xff); __EEPROM_CHAR(((i)>> 8) & 0xff)
#define __EEPROM_LONG(l) __EEPROM_INT((l) & 0xffff); __EEPROM_INT(((l)>> 16) & 0xffff)
//__EEPROM_CHAR(10);			Priklad zapisu jednodo slova (byte)
//__EEPROM_INT(0xaabb);			Priklad zapisu dvou slov (integer)
//__EEPROM_LONG(0xffeeddcc);	Prikladu apisu ctyr slov (long integer)
